Subject: Re: linux-next: build warning after merge of the final tree (in Linus' tree)

From: Eric Paris <[email-masked]>
Date: Fri, 17 May 2013 15:08:59 -0400

On Fri, 2013-05-17 at 10:47 +0530, Viresh Kumar wrote:
> On Wed, May 15, 2013 at 7:02 PM, Eric Paris <[email-masked]> wrote:
> > On Wed, 2013-05-15 at 13:20 +1000, Stephen Rothwell wrote:
> >> Hi ,
> >>
> >> After merging the final tree, today's linux-next build (i386 defconfig)
> >> produced this warning:
> >>
> >> kernel/auditfilter.c: In function 'audit_data_to_entry':
> >> kernel/auditfilter.c:426:3: warning: this decimal constant is unsigned only in ISO C90 [enabled by default]
> >>
> >> Introduced by commit 780a7654cee8 ("audit: Make testing for a valid
> >> loginuid explicit") from Linus' tree.
> >
> > Thank you, I'll fix it up.  What am I likely missing that I don't see it
> > on my builds?  I'm using gcc 4.8.  Is there a config option that enables
> > additional warnings?
> 
> Is  this fixed? I couldn't find a relevant patch in linux-next/master for it.

Something should be posted by the end of the day.  Sorry for the delay.